#ifndef ALBUMTHUMBNAIL_H
#define ALBUMTHUMBNAIL_H

#include <QThread>
#include "global/variable.h"
#include "model/processing/processing.h"
#include "model/file/file.h"

class AlbumThumbnail : public QThread
{
    Q_OBJECT

Q_SIGNALS:
    void albumFinish(QVariant var1, QVariant var2, QVariant var3);

public:
    AlbumThumbnail(const QString &path, const QString &realFormat);
    void run();

private:
    QString m_path= "";
    QString m_realFormat = "";
    QImage changImageSize(const QPixmap &pix);
};

class MainImageLoad : public QThread
{
    Q_OBJECT

Q_SIGNALS:
    void mainImageLoadFinish(QString path, QVariant var1, QVariant var2);
public:
    MainImageLoad(const QString &path, const QString &realFormat);
    void run();

private:
    QString m_path= "";
    QString m_realFormat = "";
};

#endif // ALBUMTHUMBNAIL_H
